Bug 1660117 - apache-commons-logging: Please rebuild to drop javapackages-tools dependency
Summary: apache-commons-logging: Please rebuild to drop javapackages-tools dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: apache-commons-logging
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 14:29 UTC by Florian Weimer
Modified: 2018-12-19 02:28 UTC (History)
6 users (show)

Fixed In Version: apache-commons-logging-1.2-15.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-19 02:28:15 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1600426 0 unspecified CLOSED Reconsider auto-requires: javapackages-tools 2021-02-22 00:41:40 UTC

Description Florian Weimer 2018-12-17 14:29:17 UTC
apache-commons-logging-1.2-14.fc29.noarch depends on javapackages-tools, which pools in OpenJDK 8 indirectly.  A rebuild will change that and switch to the javapackages-filesystem dependency, avoiding the potentially wasteful installation of OpenJDK 8.

Comment 2 Fedora Update System 2018-12-18 02:12:10 UTC
apache-commons-logging-1.2-15.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-714e7b6132

Comment 3 Fedora Update System 2018-12-19 02:28:15 UTC
apache-commons-logging-1.2-15.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.